"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var registrable_1 = require("./registrable");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
function Filter(parameters) {
    if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters))
        parameters = {};
    return function (constructor) {
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor))
            throw new Error("Missing filter constructor.");
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.factory))
            parameters.factory = constructor["factory"];
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.factory))
            throw new Error("Missing filter factory.");
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.name))
            parameters.name = paradigm_ui_web_shared_1.FunctionExtensions.getFunctionName(constructor);
        constructor[registrable_1.registrableMetadataKey] = parameters;
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.module)) {
            parameters.module.registerFilter(constructor);
        }
    };
}
exports.Filter = Filter;
