/// <reference types="angular" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { KeyProcessorService } from "../services/key-processor.service";
import { IAttributes, IController, ITranscludeFunction, IScope } from "angular";
export declare class KeyboardListenerDirective extends DirectiveBase {
    private keyProcessor;
    constructor(keyProcessor: KeyProcessorService);
    protected onInit(scope: IKeyboardListenerScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    protected onDestroy(scope: IKeyboardListenerScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(keyProcessor: KeyProcessorService): KeyboardListenerDirective;
}
export interface IKeyboardListenerScope extends IScope {
    disabled: boolean;
    attachTo: string;
    $parent: IScope;
}
